package com.huimv.management.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huimv.management.entity.IndoorEnvironmentEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.management.entity.vo.IndoorEnvironmentVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 室内环境信息表
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
@Mapper
public interface IndoorEnvironmentDao extends BaseMapper<IndoorEnvironmentEntity> {

    IPage<IndoorEnvironmentVo> page(@Param("page") IPage page, @Param("ew") QueryWrapper queryWrapper);
}
