package com.huimv.management.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-17 13:44:45
 */
@Data
@TableName("breed_parents")
public class BreedParentsEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 耳标号
	 */
	private String eartagNo;
	/**
	 * 牧场id
	 */
	private Integer farmId;
	/**
	 * 类型 1：种公猪，2：母猪，3：后备母猪
	 */
	private Integer type;
	/**
	 * 性别  1：公猪 2：母猪
	 */
	private Integer gender;
	/**
	 * 出生日期
	 */
	private Date birthDate;
	/**
	 * 血统(种类)
	 */
	private String blood;
	/**
	 * 原产地(来源)
	 */
	private String origin;
	/**
	 * 备注
	 */
	private String remark;
	/**
	 * 产仔窝数
	 */
	private Integer batchNp;
	/**
	 * 产仔总数量
	 */
	private Integer pigletTotal;
	/**
	 * PSY
	 */
	private Float psy;
	/**
	 * 数据是否有效
	 */
	@TableLogic(delval = "0",value = "1")
	private Integer effective;
	/**
	 * 后备字段
	 */
	private String field1;
	/**
	 * 后备字段
	 */
	private String field2;
	/**
	 * 后备字段
	 */
	private String field3;
	/**
	 * 后备字段
	 */
	private String field4;
	/**
	 * 后备字段
	 */
	private String field5;

}
