package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.BreedParentsDao;
import com.huimv.management.entity.BreedParentsEntity;
import com.huimv.management.service.BreedParentsService;


@Service("breedParentsService")
public class BreedParentsServiceImpl extends ServiceImpl<BreedParentsDao, BreedParentsEntity> implements BreedParentsService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        String farmId = (String)params.get("farmId");

        QueryWrapper<BreedParentsEntity> wrapper = new QueryWrapper<>();
        wrapper.eq("farm_id",farmId);
        IPage<BreedParentsEntity> page = this.page(
                new Query<BreedParentsEntity>().getPage(params),
                wrapper
        );

        return new PageUtils(page);
    }

}