package com.huimv.apiservice.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 症状
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-10 10:07:03
 */
@Data
@TableName("health_symptom")
public class HealthSymptomEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 症状编号
	 */
	private String sympotomCode;
	/**
	 * 症状分类
	 */
	private String sympotomType;
	/**
	 * 症状名称
	 */
	private String sympotomName;
	/**
	 * 具体描述
	 */
	private String description;
	/**
	 * 创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
	@TableField(fill = FieldFill.INSERT)
	private Date createTime;

}
