package com.huimv.apiservice.entity.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author yinhao
 * @date 2021/6/15 17:22
 */
@Data
public class WarningInfoDto implements Serializable {
    private static final long serialVersionUID = 2052073652827974104L;

    /**
     * 主键
     */
    @NotNull(message = "id不能为空!")
    private Integer id;

    /**
     * 确认描述
     */
    @NotBlank(message = "确认描述不能为空!")
    private String verifyDescription;

}
