package com.huimv.management.dao;

import com.huimv.management.entity.TransferPeriodLogEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 转栏记录表
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-18 18:18:52
 */
@Mapper
@Repository
public interface TransferPeriodLogDao extends BaseMapper<TransferPeriodLogEntity> {

    void batchInsert(List<TransferPeriodLogEntity> logEntityList);
}
