package com.huimv.management.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 免疫记录
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-10 09:44:06
 */
@Data
@TableName("health_immune_record")
public class HealthImmuneRecordEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@TableId
	private Integer id;
	/**
	 * 疫苗名称
	 */
	private String vaccineName;
	/**
	 * 小猪编号
	 */
	private String pigId;
	/**
	 * 牧场id
	 */
	private Integer farmId;
	/**
	 * 操作人姓名
	 */
	private String manName;
	/**
	 * 操作人编号
	 */
	private Integer manId;
	/**
	 * 数据有效性
	 */
	@TableLogic(delval = "0",value = "1")
	private Integer effective;
	/**
	 * 创建时间
	 */
	@TableField(fill = FieldFill.INSERT)
	private Date createTime;

}
