package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.TransferPeriodLogDao;
import com.huimv.management.entity.TransferPeriodLogEntity;
import com.huimv.management.service.TransferPeriodLogService;


@Service("transferPeriodLogService")
public class TransferPeriodLogServiceImpl extends ServiceImpl<TransferPeriodLogDao, TransferPeriodLogEntity> implements TransferPeriodLogService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<TransferPeriodLogEntity> page = this.page(
                new Query<TransferPeriodLogEntity>().getPage(params),
                new QueryWrapper<TransferPeriodLogEntity>()
        );

        return new PageUtils(page);
    }

}