package io.renren.modules.sys.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * <p>
 * 岗位实体类
 * </p>
 *
 * @author yinhao
 * @date 2021/6/9 14:30
 */
@Data
@TableName("sys_job")
public class SysJobEntity implements Serializable {
    private static final long serialVersionUID = -222172865350535567L;

    /**
     * 主键
     */
    private Integer id;

    /**
     * 岗位名称
     */
    @NotBlank(message="岗位名称不能为空")
    private String jobName;

    /**
     * 岗位识别码
     */
    @NotBlank(message="岗位识别码不能为空")
    private String jobCode;

}
